textures/urban_terror/ladderclip
{
        qer_trans 0.40
        surfaceparm nolightmap
        surfaceparm nomarks
        surfaceparm nodraw
        surfaceparm nonsolid
        surfaceparm playerclip
        surfaceparm noimpact
        surfaceparm ladder
}

textures/plants/leaf
{
    cull disable
    surfaceparm alphashadow
    surfaceparm trans	
        {
        map textures/plants/leaf.tga
        alphafunc ge128
	depthwrite
	rgbgen vertex
        }
        {
	map $lightmap
	rgbgen identity
	blendfunc filter
	depthfunc equal
	}

}

textures/urban_terror6/flare001
{
    deformvertexes autosprite
    surfaceparm trans
    surfaceparm nomarks
    surfaceparm nolightmap
    cull none
          {
            clampmap textures/urban_terror6/flare001.jpg
            blendfunc gl_one gl_one
          }
}

models\mapobjects\multiplant\fern
{	
    surfaceparm alphashadow
    cull none
    nopicmip
	{
		map models\mapobjects\multiplant\fern.tga
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identitylighting
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

models\mapobjects\multiplant\batleaf
{	
    surfaceparm alphashadow
    cull none
    	
	{
		map models\mapobjects\multiplant\batleaf.tga
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identitylighting
	}


	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

models\mapobjects\multiplant\invisible
{
    surfaceparm alphashadow
	surfaceparm nolightmap			
        {
                map models\mapobjects\multiplant\invisible.tga
                alphafunc ge128
		depthwrite
		rgbgen vertex
        }
}

textures/common/caulk
{
	surfaceparm nodraw
        surfaceparm nolightmap
	surfaceparm nomarks
}

textures/common/clip
{
	qer_trans 0.40
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm playerclip
}

textures/common/hint
{
	qer_nocarve
	qer_trans 0.30
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm structural
	surfaceparm trans
	surfaceparm noimpact
}

textures/common/nodraw
{
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
}

textures/common/weapclip
{
	qer_trans 0.40
	surfaceparm nodraw
    	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
}

textures/base_floor/proto_grate4
{
	surfaceparm	metalsteps	
        surfaceparm trans		
	surfaceparm nonsolid  
	cull none
        nopicmip

	
	{
		map textures/base_floor/proto_grate4.tga
		
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

textures/base_floor/tilefloor7_ow
{
	q3map_lightimage textures/base_floor/tilefloor7_owfx.tga
	q3map_surfacelight 100
	
        {
		map $lightmap
		rgbgen identity
	}
        {
		map textures/base_floor/tilefloor7_ow.tga
		blendfunc gl_dst_color gl_zero
                rgbgen identity
	}	
        {
		map textures/base_floor/tilefloor7_owfx.tga
		blendfunc gl_one gl_one
                rgbgen wave triangle 1 2 0 7
	}
        {
		map textures/base_floor/tilefloor7_owfx.tga
		blendfunc gl_one gl_one
                rgbgen wave triangle 1 5 1 3
	}
    	
}

textures/base_light/baslt4_1_2k
{
	qer_editorimage textures/base_light/baslt4_1.tga
	surfaceparm nomarks
	q3map_surfacelight 2000
	

	
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/base_light/baslt4_1.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/base_light/baslt4_1.blend.tga
		blendfunc gl_one gl_one
	}
}

textures/base_light/proto_light_2k
{
	qer_editorimage textures/base_light/proto_light.tga
	q3map_lightimage textures/base_light/proto_lightmap.tga
	surfaceparm nomarks
	q3map_surfacelight 2000
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/base_light/proto_light.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{	
		map textures/base_light/proto_lightmap.tga
		blendfunc gl_one gl_one
                rgbgen wave sin .5 0.5 1 .1
	}
        {	
		map textures/base_light/proto_light2.tga
		blendfunc gl_one gl_one
                rgbgen wave triangle 1 5 1 3
	}
        {	
		map textures/base_light/proto_light2.tga
		blendfunc gl_one gl_one
                tcmod scale -1 -1
                 rgbgen wave triangle 1 2 0 7
	}
}

textures/base_trim/pewter_shiney
{   
 
        {
                map textures/effects/tinfx.tga       
                tcgen environment
                rgbgen identity
	}   
        {
		map textures/base_trim/pewter_shiney.tga
                blendfunc gl_src_alpha gl_one_minus_src_alpha
		rgbgen identity
	} 
        {
		map $lightmap
                blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbgen identity
	}
}

textures/base_trim/tin
{
        {
		rgbgen identity
		map $lightmap
	}
	{
		map textures/base_trim/tin.tga
		blendfunc gl_dst_color gl_src_alpha
		rgbgen identity
		alphagen lightingspecular
	}
        {
		map textures/base_trim/tinfx.tga
                tcgen environment
		blendfunc gl_one gl_one
		rgbgen identity
	}
       
        {
		map textures/base_trim/tin.tga
                blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

textures/liquids/clear_ripple3
{
		qer_editorimage textures/liquids/pool3d_3c.tga
		qer_trans .5
		q3map_globaltexture
		surfaceparm trans
		surfaceparm nonsolid
		surfaceparm water
	
		cull disable
		deformvertexes wave 64 sin .5 .5 0 .5	
		
		{ 
			map textures/liquids/pool3d_5c.tga
			blendfunc gl_dst_color gl_one
			rgbgen identity
			tcmod scale .5 .5
			tcmod transform 1.5 0 1.5 1 1 2
			tcmod scroll -.05 .001
		}
	
		{ 
			map textures/liquids/pool3d_6c.tga
			blendfunc gl_dst_color gl_one
			rgbgen identity
			tcmod scale .5 .5
			tcmod transform 0 1.5 1 1.5 2 1
			tcmod scroll .025 -.001
		}

		{ 
			map textures/liquids/pool3d_3c.tga
			blendfunc gl_dst_color gl_one
			rgbgen identity
			tcmod scale .25 .5
			tcmod scroll .001 .025
		}
	
		{
			map $lightmap
			blendfunc gl_dst_color gl_zero
			rgbgen identity		
		}
	

}

textures/sfx/beam
{
        surfaceparm trans	
        surfaceparm nomarks	
        surfaceparm nonsolid
	surfaceparm nolightmap
	cull none
	
	{
		map textures/sfx/beam.tga
                tcmod scroll .3 0
                blendfunc add
        }
     
}

textures/sfx/beam_red
{
        surfaceparm trans	
        surfaceparm nomarks	
        surfaceparm nonsolid
	surfaceparm nolightmap
        qer_trans .5
	cull none
	{
		map textures/sfx/beam_red.tga
                tcmod scroll .3 0
                blendfunc add
        }
     
}

textures/sfx/beam_waterlight2
{
        qer_editorimage textures/sfx/beam_waterlight.tga
	q3map_globaltexture
	surfaceparm trans	
        surfaceparm nomarks	
        surfaceparm nonsolid
	surfaceparm nolightmap
	q3map_surfacelight 50
        qer_trans 0.6
	cull none
	{
		map textures/sfx/beam_waterlight.tga
		tcmod turb 0 0.015 0.5 0.07
		tcmod scroll .15 0
                blendfunc add
        }

}

textures/urban_lights/lightbulb
{
    cull disable
    deformvertexes autosprite2
    surfaceparm trans
    surfaceparm nolightmap
	{
		map textures/urban_lights/lightbulb.tga
		blendfunc add
		rgbgen identity
	}


}

textures/gerb/bluelight
{
	
	surfaceparm nomarks
	q3map_surfacelight 450

	{
		map $lightmap
		rgbgen identity
		
	}
	{
		map textures/gerb/bluelight.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/gerb/bluelight.tga
		blendfunc gl_one gl_one
	}


}

textures/urban_misc/number01
{
	surfaceparm nomarks
	
	surfaceparm nolightmap	
	q3map_surfacelight 200
	cull none
     

	{
		map $lightmap
		rgbgen identity
		
	}
	{
		map textures/urban_misc/number01.tga
		tcmod scale 8 8
		
		blendfunc gl_dst_color gl_zero
		alphafunc ge128
		depthwrite
		
		rgbgen vertex
	}
	{
		map textures/urban_misc/number01.tga
		tcmod scale 8 8
		blendfunc gl_one gl_one
	}
}

textures/gerb/fs_comp_pannels_02
{

	surfaceparm nomarks
	q3map_surfacelight 25

	{
		map $lightmap
		rgbgen identity
		
	}
	{
		map textures/gerb/fs_comp_pannels_02.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/gerb/comp_light_02.tga
		blendfunc gl_one gl_one
	}


}

textures/evils_texturesii/light_x_trm
{
	surfaceparm nomarks
	q3map_surfacelight 800
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/evils_texturesii/light_x_trm.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/gerb/light_x_trm.blend.tga
		blendfunc gl_one gl_one
	}
}

textures/gerb/ocean_fog
{
	
	qer_editorimage textures/liquids/kc_fogcloud3.tga
	surfaceparm	trans
	surfaceparm	nonsolid
	surfaceparm water
	surfaceparm	fog
	surfaceparm 	nodrop
	surfaceparm 	nolightmap
	q3map_globaltexture
	q3map_surfacelight 5 
	
	fogparms ( .1 .19 .55 ) 500

	
	{
		map textures/gerb/gerbfog.tga
		blendfunc gl_dst_color gl_zero
		tcmod scale -.05 -.05
		tcmod scroll .01 -.01
		rgbgen identity
	}

	{
		map textures/gerb/gerbfog2.tga
		blendfunc gl_dst_color gl_zero
		
		tcmod scale .07 .07
		tcmod turb .1 .1 1 .01
		tcmod scroll .01 -.01
		rgbgen identity
	}

}

textures/gerb/ocean_fog2
{
	
	qer_editorimage textures/liquids/kc_fogcloud3.tga
	surfaceparm	trans
	surfaceparm	nonsolid
	surfaceparm water  
	surfaceparm	fog
	surfaceparm 	nodrop
	surfaceparm 	nolightmap
	q3map_globaltexture
	q3map_surfacelight 5
	
	fogparms ( .1 .19 .55 ) 1400

	
	{
		map textures/gerb/gerbfog.tga
		blendfunc gl_dst_color gl_zero
		tcmod scale -.05 -.05
		tcmod scroll .01 -.01
		rgbgen identity
	}

	{
		map textures/gerb/gerbfog2.tga
		blendfunc gl_dst_color gl_zero
		
		tcmod scale .07 .07
		tcmod turb .1 .1 1 .01
		tcmod scroll .01 -.01
		rgbgen identity
	}

}

textures/gerb/gerb_glass
{
	surfaceparm playerclip
     
	cull none
	qer_trans 	0.87
     
        {
		map textures/gerb/gerbtinfx.tga
                tcgen environment
		blendfunc gl_one gl_one
		rgbgen identity
	}
       
		
		
		
	
           
}

textures/gerb/w_light
{
	surfaceparm nomarks
	
	q3map_surfacelight 515
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/gerb/w_light.tga
		blendfunc gl_dst_color gl_zero
		
		rgbgen vertex
	}
	{
		map textures/gerb/w_light.tga
		blendfunc gl_one gl_one
	}

}

textures/gerb/w_light300
{
	surfaceparm nomarks
	
	q3map_surfacelight 320
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/gerb/w_light300.tga
		blendfunc gl_dst_color gl_zero
		
		rgbgen vertex
	}
	{
		map textures/gerb/w_light300.tga
		blendfunc gl_one gl_one
	}

}

textures/gerb/light1
{
	surfaceparm nomarks
	q3map_surfacelight 365

	{
		map $lightmap
		rgbgen identity
		
	}
	{
		map textures/gerb/light1.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/gerb/light1a.tga
		blendfunc gl_one gl_one
	}


}

textures/gerb/light12
{
	qer_editorimage textures/gerb/light1.tga
	surfaceparm nomarks
	q3map_surfacelight 180

	{
		map $lightmap
		rgbgen identity
		
	}
	{
		map textures/gerb/light1.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/gerb/light1a.tga
		blendfunc gl_one gl_one
	}


}

textures/gerb/seaweed
{
	surfaceparm trans	
	surfaceparm alphashadow
    surfaceparm nomarks	
	cull none
        nopicmip
	{
		map textures/gerb/seaweed.tga
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

textures/gerb/seaweed1
{
	surfaceparm	metalsteps	
	surfaceparm trans	
	surfaceparm alphashadow
    surfaceparm nomarks	
	cull none
        nopicmip
	
	deformvertexes wave 32 sin 0.1 3 0 .5	
	
	{
		map textures/gerb/seaweed1.tga
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

textures/gerb/seaweed2
{
	surfaceparm	metalsteps	
	surfaceparm trans	
	surfaceparm alphashadow
    surfaceparm nomarks	
	cull none
        nopicmip
	{
		map textures/gerb/seaweed2.tga
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

textures/gerb/red
{
	
	surfaceparm nomarks
	q3map_surfacelight 485

	{
		map $lightmap
		rgbgen identity
		
	}
	{
		map textures/gerb/red.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/gerb/red.tga
		blendfunc gl_one gl_one
	}


}

textures/gerb/fs_comp_pannels_l
{

	surfaceparm nomarks
	q3map_surfacelight 25

	{
		map $lightmap
		rgbgen identity
		
	}
	{
		map textures/gerb/fs_comp_pannels_l.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/gerb/comp_light.tga  
		blendfunc gl_one gl_one
	}


}

textures/gerb/fs_keypad
{

	surfaceparm nomarks
	q3map_surfacelight 25

	{
		map $lightmap
		rgbgen identity
		
	}
	{
		map textures/gerb/fs_keypad.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/gerb/fs_keypad.tga
		blendfunc gl_one gl_one
	}


}

textures/gerb/greenpipe
{
        {
		rgbgen identity
		map $lightmap
	}
	
		
		
		
		
	
       
		
               
		
	
	
       
        {
		map textures/gerb/greenpipe.tga
		
                blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

textures/gerb/bluepipe
{
        {
		rgbgen identity
		map $lightmap
	}
	
		
		
		
		
	
      
		
             
		
		
	
       
        
		
		
                
		
	
}

textures/gerb/redpipe
{
        {
		rgbgen identity
		map $lightmap
	}
	
		
		
		
		
	
        
		
                
		
		
	
       
        {
		map textures/gerb/redpipe.tga
		
                blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

textures/gerb/horizontal
{
        surfaceparm trans	
	cull none
	qer_trans 	0.5
     	q3map_surfacelight 15
        {
		map textures/gerb/horizontal.tga
       
		blendfunc gl_one gl_one
		rgbgen identity
	
	}
	{
		map textures/gerb/horizontal.tga
		blendfunc gl_one gl_one
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc filter
	}
           
}

textures/gerb/blue
{
	surfaceparm nolightmap
	q3map_novertexshadows
	{
		
		map textures/gerb/blue.tga
		rgbgen vertex
	
    
	}


}

textures/evils_textures6/e6v_light
{
	surfaceparm nomarks
	q3map_surfacelight 130

	{
		map $lightmap
		rgbgen identity
		
	}
	{
		map textures/evils_textures6/e6v_light.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/evils_textures6/e6v_light_blend.tga
		blendfunc gl_one gl_one
	}


}

textures/gerb/fs_comp_pannels_03
{

	surfaceparm nomarks
	q3map_surfacelight 25

	{
		map $lightmap
		rgbgen identity
		
	}
	{
		map textures/gerb/fs_comp_pannels_03.tga
		blendfunc gl_dst_color gl_zero
		rgbgen vertex
	}
	{
		map textures/gerb/comp_light_03.tga
		blendfunc gl_one gl_one
	}


}

textures/gerb/yellow
{
	
	surfaceparm nomarks
	q3map_surfacelight 500

	{
		map $lightmap
		rgbgen identity
		
	}
	{
		map textures/gerb/yellow.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/gerb/yellow.tga
		blendfunc gl_one gl_one
	}


}

